
/*---------------------------------------------------------------------------------------------------------
 * calender 
---------------------------------------------------------------------------------------------------------*/

.calendar-header {
	display: flex;
	justify-content: space-between;
	align-items: center;
}

.calendar-header_btn {
	display: flex;
	height: 30px;
	align-items: center;
}

.calendar-weekly {
	background-color: #4397AB;
	color: #fff;
}
 
.calendar-grid {
	background-color: #4397AB;
}

.br-table th, td {
    background-color: #fff;
}

.day p {
	display: inline;
    padding: 4px;
    background-color: #4397AB;
    color: #fff;
}

.calendar-youbi {
	font-weight: 700;
	font-size: 20px;
	flex: 1 1 0%;
    padding: 5px 0px;
    border-right: 1px solid gray;
	text-align: center;
}

.calendar-youbi:nth-child(7n),
.calendar-color:nth-child(7n) p {
	background-color: #668eff;
}

.calendar-youbi:nth-child(1),
.calendar-color:nth-child(1) p {
	background-color: red;
}

.outside {
	background-color: #c3c3c3;
}

.calendar-day {
	display: flex;
	justify-content: center;
	margin-bottom: 5px;
}
  
  .holiday {
	text-align: center;
	margin: -5px 0 5px;
  }

  .day-btn button {
	background-color: #f9a347;
	border: none;
	border-radius: 2px;
	color: #FFF;
  }

  .day-btn button:hover {
	opacity: 0.8;
  }

  .day-btn a {
	color: #fff !important;
  }

  .view {
	margin-right: 2px;
	margin-left: 15px;
  }

  .details {
	margin-left: 2px;
  }

  .calendar-search {
	display: flex;
	height: 28px;
	margin-left: 10px;
  }

  .calendar-search input {
	text-align: right;
	height: 20px;
	margin-top: 5px;
  }

  .calendar-btn {
	height: 28px;
	margin: 0 10px;
	border: #22adb763 1px solid;
    box-shadow: 1px 1px black;
    color: #ede1c2 !important;
	display: inline-block;
	line-height: 1;
  }

  .calendar-title,
  .calendar-p {
	color: #ede1c2 !important;
	font-size: inherit;
    line-height: 30px;
	margin: 0;
  }

  .calendar-p {
	margin: 0 10px;
  }


  .search-btn {
	margin: 0;
	padding: 0 10px;
  }

  .dflex {
	display: flex;
	justify-content: center;
  }

  .day-p {
	background-color: inherit !important;
    text-align: center;
  }

  .mt-10 {
	margin-top: -15px;
  }


  /* モーダルウィンドウ */
.modal {
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 0.7);
	display: flex;
	align-items: center;
	justify-content: center;
}
  
.modal-content {
    background-color: #fff;
    border-radius: 5px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
  }

/*---------------------------------------------------------------------------------------------------------
 * calenderView 
---------------------------------------------------------------------------------------------------------*/
.cal-tll {
	text-align: center;
	font-size: 16px;
	font-weight: 700;
}

.cal-th {
	width: 15%;
	background-color: #4397ab;
	border: 1px solid #6dB7bf;
	padding: 10px;
}

.cal-body {
	border-top: 1px solid #bababa;
}

.cal-w18 {
	width: 18%;
	padding: 10px;
	font-size: 16px;
	font-weight: 700;
}

.detailed-title {
	text-align: left;
	background-color: #2e6c7b;
	color: #fff;
	padding: 4px;
	position: relative;
	margin-bottom: 30px;
}

.close {
	position: absolute;
	right: 30px;
	top: 25px;
	z-index: 1;
	font-size: 35px;
	color: #fff;
}
  
.modal-day{
	background-color: #4397ab;
	color: #fff;
	text-align: center;
	height: 80%;
	font-size: 20px;
}

.modal-table {
	width: 90%;
	margin: auto;
}

.table-cell {
	width: 50%;
	text-align: center;
}

.scrollable-container {
	max-height: 300px;
	overflow: auto;
}

.modal-table table {
	border-collapse: collapse;
	width: 100%;
}
  
.modal-table table tr th,
.modal-table table tr td {
	text-align: center;
	border: 1px solid #ccc;
	padding: 8px;
}
  
.scrollable-table {
	max-height: 300px;
	overflow-y: auto;
}
.calendar-modal-content{
	width: 90%;
}
.calendar-header{
	padding: 5px 12px;
}
.btn-pagination{
	background: url(image/sprite-healthbook.png) no-repeat -276px -140px !important;
    width: 30px;
	height: 25px;
	zoom: 125%;
	border: none;
}
.btn-back-pagination{
	width: 30px;
	height: 25px;
	border: none;
	zoom: 125%;
	background: url(image/sprite-healthbook.png) no-repeat -275px -108px !important;
}
.btn-next-pagination{
	background: url(image/sprite-healthbook.png) no-repeat -276px -172px !important;
    width: 30px;
	height: 25px;
	zoom: 125%;
	border: none;
}
.btn-next-pagination-year{
	background: url(image/sprite-healthbook.png) no-repeat -277px -204px !important;
    width: 30px;
	height: 25px;
	zoom: 125%;
	border: none;
}